Subject: Re: bug#20218: [bug-gnu-emacs] emacs-24.5-rc1 build successes, and one failure

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Mar 2015 20:48:14 +0300

> Date: Sat, 28 Mar 2015 09:19:26 -0600 (MDT)
> From: "Nelson H. F. Beebe" <[email-masked]>
> Cc: [email-masked]
> 
> The one failure for my emacs-24.5-rc1 builds is this system:
> 
> 	GNU Hurd 8 (jessie)			x86-64
> 
> I have previously successfully built emacs-24.3.90, emacs-24.3.92, and
> emacs-24.3.94 on that system, and after several failures for
> emacs-24.5-rc1, I retried with the identical PATH and other
> environment variables and configure flags as for 24.3.94.  Some of my
> several attempts succeeded in building src/temacs, but all died like
> this:
> 
> 	Loading version...
> 	Loading widget...
> 	Loading custom...
> 	Required feature `widget' was not provided
> 	Makefile:815: recipe for target 'bootstrap-emacs' failed

Does this mean your build procedure includes a full bootstrap?

If so, what happens if you try building on the Hurd without a
bootstrap?

> In any event, I consider emacs-24.5-rc1 as yet another in long line of
> outstanding successes in the quality and portability of GNU emacs
> releases.  Congratulations to the development team --- you've done a
> great job in keeping this fantastic editor potentially available
> virtually everywhere!

Thanks for your efforts and for the report.